Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.spi
Class AbstractSecurityContext

    java.lang.Object
      org.jboss.portal.portlet.impl.spi.AbstractSecurityContext

All Implemented Interfaces:
  SecurityContext

    public class AbstractSecurityContext

extends java.lang.Object
implements SecurityContext

Version:
  $Revision: 5448 $
Author:
  Julien Viet

Constructor Summary
`AbstractSecurityContext(javax.servlet.http.HttpServletRequest req)`

Method Summary
`java.lang.String` | `getAuthType()`
`java.lang.String` | `getRemoteUser()`
`java.security.Principal` | `getUserPrincipal()`
`boolean` | `isAuthenticated()`
`boolean` | `isSecure()`
`boolean` | `isUserInRole(java.lang.String roleName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSecurityContext

    public AbstractSecurityContext(javax.servlet.http.HttpServletRequest req)

Method Detail

### isSecure

    public boolean isSecure()

  Specified by:
    `isSecure` in interface `SecurityContext`
  Returns:
    true if is secured

### getAuthType

    public java.lang.String getAuthType()

  Specified by:
    `getAuthType` in interface `SecurityContext`
  Returns:
    the auth type

### getRemoteUser

    public java.lang.String getRemoteUser()

  Specified by:
    `getRemoteUser` in interface `SecurityContext`
  Returns:
    the remote user

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

  Specified by:
    `getUserPrincipal` in interface `SecurityContext`
  Returns:
    the user principal

### isUserInRole

    public boolean isUserInRole(java.lang.String roleName)

  Specified by:
    `isUserInRole` in interface `SecurityContext`
  Parameters:
    `roleName` - the role name
  Returns:
    true if the user is in role

### isAuthenticated

    public boolean isAuthenticated()

  Specified by:
    `isAuthenticated` in interface `SecurityContext`
  Returns:
    true if it is authenticated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.